const getRandom = () => Math.round(Math.random() * 100);

const Griffin = {
    hp: 2000,
    defense: 120,
    str: 300,
    weapon: 0,

    changeHP: function(damage) {
        this.hp -= damage;
    },

    attack: function() {
        return this.str + this.weapon - Witcher.defense;
    },

    getStatus: function() {
        console.log(`======== Грифон: ${this.hp} =========`);
    }
};
 
const Witcher = {
    hp: 1000,
    defense: 100,
    str: 120,
    weapon: 250,

    luticSpeech: function() {
        let arr = ["Хватит валять дурака, пора уже тушить пожар в этой программе.", "Говорят, грифон никогда не наступит на лежащего ведьмака." ,"Когда скромняга бард, отдыхал от дел, с Геральтом из Ривии, он песню эту пел..." ,"Трус умирает сто раз. Мужественный человек – лишь однажды." ,"Людям для жизни необходимы три вещи: еда, питье и сплетни."];
        return arr[Math.round(Math.random() * (arr.length - 1))];
    },

    getIgniDamage: function() {
        return Math.round(150 + Math.random() * 200);
    },

    changeHP: function(damage) {
        this.hp -= damage;
    },

    attack: function() {
        return this.str + this.weapon - Griffin.defense;
    },

    drinkSwallow: function() {
        let random = Math.round(Math.random() * 100);
        this.hp += random;
        console.log(`====== +${random}HP ======`);
    },

    getStatus: function() {
        console.log(`======== Ведьмак: ${this.hp} =========`);
    }
};

let swallowRounds = 2;
let smallowEffect = false;

while(true) {    
    const menu = parseInt(prompt(`Атаковать - 1\nИгни-2\nСлушать лютика-3\nВыпить ласточку-4\nУбежать-5`));

    if(smallowEffect === true) {
        if(swallowRounds === 0) {
            smallowEffect = false;
        } else {
            Witcher.drinkSwallow();
            swallowRounds--;
        };
    };

    if(menu === 1) {
        if(getRandom() <= 75) {
            Griffin.changeHP(Witcher.attack());
            Griffin.getStatus();
        } else {
            console.log("========= Промахнулся ========");
        };

        if(Griffin.hp <= 0) {
            console.log("======== Грифон умер =========");
            break;
        };
    } else if(menu === 2) {
        Griffin.changeHP(Witcher.getIgniDamage());
        Griffin.getStatus();

        if(Griffin.hp <= 0) {
            console.log("======== Грифон умер =========");
            break;
        };
    } else if(menu === 3) {
        console.log(Witcher.luticSpeech());
    } else if(menu === 4) {
        if(smallowEffect === true) {
            console.log("======= Уже действует =======");
        } else {
            smallowEffect = true;
            Witcher.drinkSwallow();
        };
    } else if(menu === 5) {
        console.log("===== Вы трус =====");
        break;
    } else {
        continue;
    };

    if(getRandom() <= 50) {
        Witcher.changeHP(Griffin.attack());
        Witcher.getStatus();
        smallowEffect = false;
        swallowRounds = 2;
    } else {
        console.log("========= Улетел ========");
    };

    if(Witcher.hp <= 0) {
        console.log("======== Ведьмак умер =========");
        break;
    };
};